Name:           perl-Parse-DMIDecode
Version:        0.03
Release:        6%{?dist}
Summary:        Interface to SMBIOS using dmidecode
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-DMIDecode/
Source0:        http://www.cpan.org/modules/by-module/Parse/Parse-DMIDecode-%{version}.tar.gz
# Pod fixing patch from RT 52296 -> https://rt.cpan.org/Ticket/Attachment/699959/360879/fix-pod-urls.patch
Patch1:         fix-pod-urls.patch
# Fix a memory leak when destructing Parse::DMIDecode::Handle objects,
# CPAN RT#125088
Patch2:         Parse-DMIDecode-0.03-handle_leak.patch
# Fix supressing portability warnings, CPAN RT#143252, proposed to the upstream
Patch3:         Parse-DMIDecode-0.03-Disable-portability-warnings-lexically.patch
# Do not warn on SMBIOS version 3, bug #1661251, CPAN RT#54956, proposed to
# the upstream
Patch4:         Parse-DMIDecode-0.03-Emulate-number-of-structures-if-not-reported-by-dmid.patch
# This mirrors the ExclusiveArch in the dmidecode spec file
ExclusiveArch:  %{ix86} x86_64 ia64 aarch64
BuildRequires:  dmidecode
BuildRequires:  perl
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Which) >= 0.05
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.2
BuildRequires:  perl(Test::Pod::Coverage) >= 1.06
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       dmidecode
Requires:       perl(File::Which) >= 0.05
Requires:       perl(Data::Dumper)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an OO interface to SMBIOS information through the
dmidecode command which is known to work under a number of Linux, BSD and
BeOS variants.

%prep
%autosetup -p1 -n Parse-DMIDecode-%{version}

%build
# a debug package is not required as there are no binaries in this package
%define debug_package %{nil}
AUTOMATED_TESTING=1 %{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE NOTICE README TODO examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jun 13 2022 Petr Pisar <ppisar@redhat.com> - 0.03-6
- Fix a memory leak when destructing Parse::DMIDecode::Handle objects
  (CPAN RT#125088)
- Fix supressing portability warnings (CPAN RT#143252)
- Do not warn on SMBIOS version 3 (bug #1661251)

* Sat Oct 25 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.03-5
- dmidecode supported on aarch64

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.03-4
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 David Dick <ddick@cpan.org> - 0.03-1
- Initial release
